# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.4
  - 2cb8e624295ff Linux 6.1.4
  - 54b6a040f3807 drm/amd/pm: correct the fan speed retrieving in PWM for some SMU13 asics
  - 0b865bcd7a084 drm/amd/pm: bump SMU13.0.0 driver_if header to version 0x34
  - 789c4804d7aed drm/amd/pm: add missing SMU13.0.7 mm_dpm feature mapping
  - 1cfd678e2f070 drm/amd/pm: add missing SMU13.0.0 mm_dpm feature mapping
  - 6e6d577cd90b2 drm/i915/migrate: Account for the reserved_space
  - ea62bd769994d drm/i915: improve the catch-all evict to handle lock contention
  - 52beaa0938ad3 drm/amdgpu: make display pinning more flexible (v2)
  - 9724e6950ef90 drm/amdgpu: handle polaris10/11 overlap asics (v2)
  - 3038224f5617b drm/amd/display: Add DCN314 display SG Support
  - 218f8fe668240 drm/i915/ttm: consider CCS for backup objects
  - f06a3cff1b4e4 ext4: allocate extended attribute value in vmalloc area
  - 56ecd5509fdc7 ext4: avoid unaccounted block allocation when expanding inode
  - 0f860f71b6177 ext4: initialize quota before expanding inode in setproject ioctl
  - 70e5b46beba64 ext4: fix inode leak in ext4_xattr_inode_create() on an error path
  - 74ba281971618 ext4: fix kernel BUG in 'ext4_write_inline_data_end()'
  - cc1538c693d25 ext4: fix deadlock due to mbcache entry corruption
  - 52cdfab923db7 ext4: avoid BUG_ON when creating xattrs
  - 1008bbaadca65 ext4: fix corrupt backup group descriptors after online resize
  - 627dd452889d5 ext4: dont return EINVAL from GETFSUUID when reporting UUID length
  - a77f3bdb03d0b ext4: fix bad checksum after online resize
  - dad6a26adb5ae ext4: fix error code return to user-space in ext4_get_branch()
  - c99932c83074e ext4: fix corruption when online resizing a 1K bigalloc fs
  - 81b915181c630 ext4: fix delayed allocation bug in ext4_clu_mapped for bigalloc + inline
  - b753b0be45ae3 ext4: don't fail GETFSUUID when the caller provides a long buffer
  - 13271fbbe85d7 ext4: init quota for 'old.inode' in 'ext4_rename'
  - 9f966e021c20c ext4: fix uninititialized value in 'ext4_evict_inode'
  - 5439ad45c0d0c ext4: fix off-by-one errors in fast-commit block filling
  - 18e66ed75d87b ext4: fix unaligned memory access in ext4_fc_reserve_space()
  - d1c97077fa603 ext4: add missing validation of fast-commit record lengths
  - 1ba993208bcfd ext4: don't set up encryption key during jbd2 transaction
  - 7c1fb65e8ce85 ext4: fix leaking uninitialized memory in fast-commit journal
  - 08d5c8445d15a ext4: disable fast-commit of encrypted dir operations
  - bcc5057e1781a ext4: don't allow journal inode to have encrypt flag
  - a125c8806b7d3 ext4: fix bug_on in __es_tree_search caused by bad boot loader inode
  - f1ec687ebd1bf ext4: check and assert if marking an no_delete evicting inode dirty
  - 15adfbb2d1610 ext4: journal_path mount options should follow links
  - 5e1d519af52fc ext4: fix reserved cluster accounting in __es_remove_extent()
  - 1daff79463d7d ext4: fix bug_on in __es_tree_search caused by bad quota inode
  - 7720e1e43315b ext4: add helper to check quota inums
  - 488a5c2bf7543 ext4: add EXT4_IGET_BAD flag to prevent unexpected bad inode
  - 7753d6657873a ext4: fix undefined behavior in bit shift for ext4_check_flag_values
  - 7908b8a541b15 ext4: fix use-after-free in ext4_orphan_cleanup
  - a73f2b2e38539 fs: ext4: initialize fsdata in pagecache_write()
  - 35840a486cffd ext4: correct inconsistent error msg in nojournal mode
  - 39364b354f0e4 ext4: remove trailing newline from ext4_msg() message
  - 248feff7deda6 ext4: add inode table check in __ext4_get_inode_loc to aovid possible infinite loop
  - b085fb43feede ext4: silence the warning when evicting inode with dioread_nolock
  - 12cfb0c1c27e8 drm/etnaviv: reap idle mapping if it doesn't match the softpin address
  - babd82f10749d drm/ingenic: Fix missing platform_driver_unregister() call in ingenic_drm_init()
  - 556a7e74af590 drm/i915/dsi: fix VBT send packet port selection for dual link DSI
  - 84bcb7d09aaa7 drm/etnaviv: move idle mapping reaping into separate function
  - 3650c063f22d0 drm/mgag200: Fix PLL setup for G200_SE_A rev >=4
  - 622d527decaac drm/vmwgfx: Validate the box size for the snooped cursor
  - d988f0bcf579b drm/connector: send hotplug uevent on connector cleanup
  - 35fe1c2384371 device_cgroup: Roll back to original exceptions after copy failure
  - 4def68cc15f37 parisc: Drop PMD_SHIFT from calculation in pgtable.h
  - 790aba4492d62 parisc: Drop duplicate kgdb_pdc console
  - d97a584e350dc parisc: Add missing FORCE prerequisites in Makefile
  - 553bc5890ed96 parisc: Fix locking in pdc_iodc_print() firmware call
  - 6bbba171235e1 parisc: Drop locking in pdc console code
  - 67c98fec87ed7 parisc: led: Fix potential null-ptr-deref in start_task()
  - dc88a50bc3398 remoteproc: imx_rproc: Correct i.MX93 DRAM mapping
  - e2e8d55f044e7 remoteproc: core: Do pm_relax when in RPROC_OFFLINE state
  - b9693304b7133 remoteproc: imx_dsp_rproc: Add mutex protection for workqueue
  - 17183187dc862 hugetlb: really allocate vma lock for all sharable vmas
  - ee29001a637fd test_kprobes: Fix implicit declaration error of test_kprobes
  - 7e8834776c370 iommu/amd: Fix ill-formed ivrs_ioapic, ivrs_hpet and ivrs_acpihid options
  - 808948f4922f6 iommu/amd: Fix ivrs_acpihid cmdline parsing code
  - fdbbb40583195 phy: qcom-qmp-combo: fix sc8180x reset
  - 1066b58cc02d2 phy: qcom-qmp-combo: fix sdm845 reset
  - 0a1129c4b445e bus: mhi: host: Fix race between channel preparation and M0 event
  - 878d15dd43bcb driver core: Fix bus_type.match() error handling in __driver_attach()
  - cced6678325bd crypto: ccp - Add support for TEE for PCI ID 0x14CA
  - b70acb182f455 crypto: n2 - add missing hash statesize
  - 85292a29689a7 riscv: mm: notify remote harts about mmu cache updates
  - 00777a099574a riscv: stacktrace: Fixup ftrace_graph_ret_addr retp argument
  - cdea2da678758 RISC-V: kexec: Fix memory leak of elf header buffer
  - abbb887da7740 riscv: Fixup compile error with !MMU
  - dc387c34d8dd1 RISC-V: kexec: Fix memory leak of fdt buffer
  - b33528863d07e PCI/sysfs: Fix double free in error path
  - 518573988a2f1 PCI: Fix pci_device_is_present() for VFs by checking PF
  - 06bc122d9b5f1 crypto: ccree,hisilicon - Fix dependencies to correct algorithm
  - d93b6a8a34e10 um: virt-pci: Avoid GCC non-NULL warning
  - f375bcf69f58f ima: Fix memory leak in __ima_inode_hash()
  - 59b6c0ea1a8dc mtd: spi-nor: gigadevice: gd25q256: replace gd25q256_default_init with gd25q256_post_bfpt
  - 1fc9b20a76880 ipmi: fix use after free in _ipmi_destroy_user()
  - 3ac71fd8ffa11 ima: Fix a potential NULL pointer access in ima_restore_measurement_list
  - 9944a141e5eaa mtd: spi-nor: Check for zero erase size in spi_nor_find_best_erase_type()
  - 9c476590feffa ipmi: fix long wait in unload when IPMI disconnect
  - 5038ee6776061 ipu3-imgu: Fix NULL pointer dereference in imgu_subdev_set_selection()
  - 9526c179b9cbd ASoC: jz4740-i2s: Handle independent FIFO flush bits
  - 360ef3bcf7305 wifi: wilc1000: sdio: fix module autoloading
  - 19d5b47b0e09e efi: Add iMac Pro 2017 to uefi skip cert quirk
  - aa4c785566eff md/bitmap: Fix bitmap chunk size overflow issues
  - ab87d6f26e40b block: mq-deadline: Do not break sequential write streams to zoned HDDs
  - b0544dd860b3c block: mq-deadline: Fix dd_finish_request() for zoned devices
  - 51c107f91bf1d drm/amdgpu: fix mmhub register base coding error
  - 08c83264e6906 rtc: ds1347: fix value written to century register
  - 135b9ed45347e ravb: Fix "failed to switch device to config mode" message during unbind
  - f22532d6bbafc cifs: set correct status of tcon ipc when reconnecting
  - a37d718a0e0b1 cifs: set correct ipc status after initial tree connect
  - 2d8cbc14707a7 cifs: set correct tcon status after initial tree connect
  - 66d65a6fba330 cifs: fix missing display of three mount options
  - e9f7a3bbaa5c0 cifs: fix confusing debug message
  - 530ca64b44625 media: dvb-core: Fix UAF due to refcount races at releasing
  - 123eddf92a114 media: dvb-core: Fix double free in dvb_register_device()
  - 94d23f8b78400 ARM: 9256/1: NWFPE: avoid compiler-generated __aeabi_uldivmod
  - 2833221e0b0f7 arm64: dts: mediatek: mt8195-demo: fix the memory size of node secmon
  - 0fd003d3c708c staging: media: tegra-video: fix device_node use after free
  - 1fae2197adbeb staging: media: tegra-video: fix chan->mipi value on error
  - 26c57afef2b6e tracing: Fix infinite loop in tracing_read_pipe on overflowed print_trace_line
  - 2d31d84d4eb8a tracing: Fix issue of missing one synthetic field
  - 5d067ad7e2e2f tracing/probes: Handle system names with hyphens
  - eac8938856950 tracing/hist: Fix wrong return value in parse_action_params()
  - cb8dce806598d tracing: Fix complicated dependency of CONFIG_TRACER_MAX_TRACE
  - 938791ad58a3d powerpc/ftrace: fix syscall tracing on PPC64_ELF_ABI_V1
  - 43f7cd89b5840 tracing: Fix race where eprobes can be called before the event
  - c9449d762f0ee x86/kprobes: Fix optprobe optimization check with CONFIG_RETHUNK
  - 85932e3882e2f x86/kprobes: Fix kprobes instruction boudary check with CONFIG_RETHUNK
  - 3dabe6c5f3e94 ftrace/x86: Add back ftrace_expected for ftrace bug reports
  - db10ca17bbe22 x86/microcode/intel: Do not retry microcode reloading on the APs
  - 891a644b0cbde KVM: nVMX: Properly expose ENABLE_USR_WAIT_PAUSE control to L1
  - 59cc9627be257 KVM: x86: fix APICv/x2AVIC disabled when vm reboot by itself
  - 04066fcbf18ea KVM: nVMX: Inject #GP, not #UD, if "generic" VMXON CR0/CR4 check fails
  - c877c99ee5c0c KVM: VMX: Resume guest immediately when injecting #GP on ECREATE
  - 2d627fbb50267 ima: Fix hash dependency to correct algorithm
  - 8a6cd16af71ef of/kexec: Fix reading 32-bit "linux,initrd-{start,end}" values
  - aa3e7a48e921a xtensa: add __umulsidi3 helper
  - 9dd6b35e2bcd2 perf/core: Call LSM hook after copying perf_event_attr
  - 04241956ce882 tracing/hist: Fix out-of-bound write on 'action_data.var_ref_idx'
  - 1d408dabdba95 PCI/DOE: Fix maximum data object length miscalculation
  - 97e28deab8bfe ata: ahci: fix enum constants for gcc-13
  - a7e060c3ea344 dm cache: set needs_check flag after aborting metadata
  - 6a3e412c2ab13 dm cache: Fix UAF in destroy()
  - 9e113cd4f61f3 dm clone: Fix UAF in clone_dtr()
  - b6c93cd61afab dm integrity: Fix UAF in dm_integrity_dtr()
  - d9971fa4d8bde dm thin: Fix UAF in run_timer_softirq()
  - 82976ba6deb16 dm thin: resume even if in FAIL mode
  - b91f481300e3a dm thin: Use last transaction's pmd->root when commit failed
  - cdf7a39bcc427 dm thin: Fix ABBA deadlock between shrink_slab and dm_pool_abort_metadata
  - f74b7c5a85e22 dm cache: Fix ABBA deadlock between shrink_slab and dm_cache_metadata_abort
  - 1922ea6b0ae2e mptcp: use proper req destructor for IPv6
  - d3901b9004a02 mptcp: dedicated request sock for subflow in v6
  - 01a3015206857 mptcp: remove MPTCP 'ifdef' in TCP SYN cookies
  - 993aad51b6ce9 mptcp: netlink: fix some error return code
  - 5a52012ff8b0c fs: dlm: retry accept() until -EAGAIN or error returns
  - 9e72fec62f315 fs: dlm: fix sock release if listen fails
  - bb641476f581d ALSA: usb-audio: Add new quirk FIXED_RATE for JBL Quantum810 Wireless
  - 9e456d460f1b4 HID: Ignore HP Envy x360 eu0009nv stylus battery
  - ca4c62ec488bc platform/x86: x86-android-tablets: Add Advantech MICA-071 extra button
  - c693355b9735d platform/x86: x86-android-tablets: Add Lenovo Yoga Tab 3 (YT3-X90F) charger + fuel-gauge data
  - 5a2798eda1a8f platform/x86: x86-android-tablets: Add Medion Lifetab S10346 data
  - 838e48fa1b1b4 ALSA: hda/cirrus: Add extra 10 ms delay to allow PLL settle and lock.
  - c455aa7cc9cf1 platform/x86: intel-uncore-freq: add Emerald Rapids support
  - 009ac0049dc3f platform/x86: ideapad-laptop: Stop writing VPCCMD_W_TOUCHPAD at probe time
  - bda3399b5abba platform/x86: ideapad-laptop: Send KEY_TOUCHPAD_TOGGLE on some models
  - f5820b413962d platform/x86: ideapad-laptop: Only toggle ps2 aux port on/off on select models
  - 2380e9493538c platform/x86: ideapad-laptop: Do not send KEY_TOUCHPAD* events on probe / resume
  - c234ccc68afec platform/x86: ideapad-laptop: Refactor ideapad_sync_touchpad_state()
  - 8af3d02aae3ec ACPI: video: Prefer native over vendor
  - 923c1922bdbe4 ACPI: video: Simplify __acpi_video_get_backlight_type()
  - 33c25c3146837 platform/x86: ideapad-laptop: support for more special keys in WMI
  - 32755a5da122f platform/x86: ideapad-laptop: Add new _CFG bit numbers for future use
  - 317499df9d702 platform/x86: ideapad-laptop: Revert "check for touchpad support in _CFG"
  - f48a74ccb5199 platform/x86: thinkpad_acpi: Fix max_brightness of thinklight
  - 3ff594fb490f8 ALSA: hda/realtek: Apply dual codec fixup for Dell Latitude laptops
  - ed32831a17e5c ALSA: patch_realtek: Fix Dell Inspiron Plus 16
  - 7ac7830af689a bpf: Resolve fext program type when checking map compatibility
  - f845a9d33b4e2 media: s5p-mfc: Fix in register read and write for H264
  - bd1b72f0c39a0 media: s5p-mfc: Clear workbit to handle error condition
  - bff2698aab6f9 media: s5p-mfc: Fix to handle reference queue during finishing
  - 67ffc6dc30025 ext2: unbugger ext2_empty_dir()
  - e7c0c943ed675 cpufreq: Init completion before kobject_init_and_add()
  - 5052a96b21049 PM/devfreq: governor: Add a private governor_data for governor
  - 6088d8783f7b6 random: add helpers for random numbers with given floor or range
  - ef3ad7f447a2a x86/MCE/AMD: Clear DFR errors found in THR handler
  - 9edfbb64ca2b3 selftests: Use optional USERCFLAGS and USERLDFLAGS
  - ea27cc32450e8 EDAC/mc_sysfs: Increase legacy channel support to 12
  - b8b9b0b857b94 cxl/region: Fix missing probe failure
  - 833cdf903d2ee arm64: dts: qcom: sdm850-lenovo-yoga-c630: correct I2C12 pins drive strength
  - 38f99d0b02847 x86/fpu/xstate: Fix XSTATE_WARN_ON() to emit relevant diagnostics
  - 346ac4a116cba random: use rejection sampling for uniform bounded random integers
  - 0f9327484c6ff arm64: dts: qcom: sdm850-samsung-w737: correct I2C12 pins drive strength
  - bacb7e1d42f4a ARM: ux500: do not directly dereference __iomem
  - a94b90ac1f251 btrfs: fix resolving backrefs for inline extent followed by prealloc
  - 169a4cf468829 btrfs: fix extent map use-after-free when handling missing device in read_one_chunk
  - 712b0938166a6 btrfs: fix uninitialized parent in insert_state
  - ed00567b170fc drm/amd/pm: correct SMU13.0.0 pstate profiling clock settings
  - 9d455cb89dc57 drm/amd/pm: update SMU13.0.0 reported maximum shader clock
  - 9ebb4f4eab191 phy: qcom-qmp-combo: fix out-of-bounds clock access
  - 39eeec3130a13 mmc: sdhci-sprd: Disable CLK_AUTO when the clock is less than 400K
  - 51b84cfd24ee5 arm64: dts: qcom: sc8280xp: fix UFS reference clocks
  - b70d118a6cdc7 arm64: dts: qcom: sdm845-db845c: correct SPI2 pins drive strength
  - f42462b9cabfb perf/x86/intel/uncore: Clear attr_update properly
  - 254f17db43520 perf/x86/intel/uncore: Disable I/O stacks to PMU mapping on ICX-D
  - 192db0943fade jbd2: use the correct print format
  - 14a6e5330a96a ktest.pl minconfig: Unset configs instead of just removing them
  - 178d7cf89191f kest.pl: Fix grub2 menu handling for rebooting
  - ca6536972ea54 soc: qcom: Select REMAP_MMIO for ICC_BWMON driver
  - 70e71f0dc86f4 soc: qcom: Select REMAP_MMIO for LLCC driver
  - 50950c0176f62 arm64: Prohibit instrumentation on arch_stack_walk()
  - 15e7433e1dc20 arm64: dts: qcom: sc8280xp: fix UFS DMA coherency
  - 189c499376d5b cxl/region: Fix memdev reuse check
  - fab4655990012 media: stv0288: use explicitly signed char
  - a354a9e3fc3b5 drm/amdgpu: skip mes self test after s0i3 resume for MES IP v11.0
  - 33a3b7fad8273 drm/amdgpu: skip MES for S0ix as well since it's part of GFX
